Loading...
Searching...
No Matches
mdds::rtree< KeyT, ValueT, Traits >::extent_type Struct Reference

## Public Member Functions

| extent_type (const point_type &_start, const point_type &_end)
std::string | to_string () const
bool | is_point () const
bool | operator== (const extent_type &other) const
bool | operator!= (const extent_type &other) const
bool | contains (const point_type &pt) const
bool | contains (const extent_type &bb) const
bool | intersects (const extent_type &bb) const
bool | contains_at_boundary (const extent_type &other) const

## Public Attributes

point_type | start
point_type | end

## Member Function Documentation

## contains() [1/2]

template<typename KeyT, typename ValueT, typename Traits = detail::rtree::default_rtree_traits>

bool mdds::rtree< KeyT, ValueT, Traits >::extent_type::contains | ( | const extent_type & | bb | ) | const

Determine whether or not the specified extent lies entirely within this extent.

Parameters

  bb | extent to query with.

Returns
  true if the specified extent lies entirely within this extent, or otherwise false.

## contains() [2/2]

template<typename KeyT, typename ValueT, typename Traits = detail::rtree::default_rtree_traits>

bool mdds::rtree< KeyT, ValueT, Traits >::extent_type::contains | ( | const point_type & | pt | ) | const

Determine whether or not the specified point lies within this extent.

Parameters

  pt | point to query with.

Returns
  true if the point lies within this extent, or false otherwise.

## contains_at_boundary()

template<typename KeyT, typename ValueT, typename Traits = detail::rtree::default_rtree_traits>

bool mdds::rtree< KeyT, ValueT, Traits >::extent_type::contains_at_boundary | ( | const extent_type & | other | ) | const

Determine whether or not another bounding box is within this bounding box and shares a part of its boundaries.

## intersects()

template<typename KeyT, typename ValueT, typename Traits = detail::rtree::default_rtree_traits>

bool mdds::rtree< KeyT, ValueT, Traits >::extent_type::intersects | ( | const extent_type & | bb | ) | const

Determine whether or not the specified extent overlaps with this extent either partially or fully.

Parameters

  bb | extent to query with.

Returns
  true if the specified extent overlaps with this extent, or otherwise false.